%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           trac
Version:        0.10.4
Release:        1.art
Summary:        Enhanced wiki and issue tracking system
Group:          Applications/Internet
License:        BSD
URL:            http://trac.edgewall.com/
Source0:        http://ftp.edgewall.com/pub/trac/%{name}-%{version}.tar.gz
Source1:        trac.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  sed >= 3.95
BuildRequires:  python-devel
Requires:       python-clearsilver >= 0.9.3
Requires:       subversion >= 1.1
Requires:       httpd
Requires:       python-sqlite

%description
Trac is an integrated system for managing software projects, an
enhanced wiki, a flexible web-based issue tracker, and an interface to
the Subversion revision control system.  At the core of Trac lies an
integrated wiki and issue/bug database. Using wiki markup, all objects
managed by Trac can directly link to other issues/bug reports, code
changesets, documentation and files.  Around the core lies other
modules, providing additional features and tools to make software
development more streamlined and effective.

%prep
%setup -q
chmod -x contrib/*
sed -i -e 's|/var/svn/test|/srv/svn|' trac/scripts/admin.py
chmod -x htdocs/js/wikitoolbar.js
sed -i -e 's/tracd 1/tracd 8/' scripts/tracd.1
rm trac/test.py
sed -i -e 's/\r//' contrib/trac-post-commit-hook.cmd

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

# --skip-build causes bad stuff in siteconfig.py as of 0.8.4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_var}/www/cgi-bin
mv $RPM_BUILD_ROOT%{_datadir}/trac/cgi-bin/trac.*cgi \
  $RPM_BUILD_ROOT%{_var}/www/cgi-bin
rm -r $RPM_BUILD_ROOT%{_datadir}/trac/cgi-bin

install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf.d/trac.conf
install -dm 755 $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT{%{_bindir}/tracd,%{_sbindir}/tracd}
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man8
mv $RPM_BUILD_ROOT%{_mandir}/{man1/tracd.1,man8/tracd.8}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README* RELEASE THANKS UPGRADE contrib/
%{_bindir}/trac-admin
%{_sbindir}/tracd
%dir %{python_sitelib}/trac/
%{python_sitelib}/trac/*.py
%{python_sitelib}/trac/*.pyc
%{python_sitelib}/trac/*.pyo
%dir %{python_sitelib}/trac/mimeview/
%{python_sitelib}/trac/mimeview/*.py
%{python_sitelib}/trac/mimeview/*.pyc
%{python_sitelib}/trac/mimeview/*.pyo
%dir %{python_sitelib}/trac/scripts/
%{python_sitelib}/trac/scripts/*.py
%{python_sitelib}/trac/scripts/*.pyc
%{python_sitelib}/trac/scripts/*.pyo
%dir %{python_sitelib}/trac/ticket/
%{python_sitelib}/trac/ticket/*.py
%{python_sitelib}/trac/ticket/*.pyc
%{python_sitelib}/trac/ticket/*.pyo
%dir %{python_sitelib}/trac/upgrades/
%{python_sitelib}/trac/upgrades/*.py
%{python_sitelib}/trac/upgrades/*.pyc
%{python_sitelib}/trac/upgrades/*.pyo
%dir %{python_sitelib}/trac/versioncontrol/
%{python_sitelib}/trac/versioncontrol/*.py
%{python_sitelib}/trac/versioncontrol/*.pyc
%{python_sitelib}/trac/versioncontrol/*.pyo
%dir %{python_sitelib}/trac/versioncontrol/web_ui/
%{python_sitelib}/trac/versioncontrol/web_ui/*.py
%{python_sitelib}/trac/versioncontrol/web_ui/*.pyc
%{python_sitelib}/trac/versioncontrol/web_ui/*.pyo
%dir %{python_sitelib}/trac/web/
%{python_sitelib}/trac/web/*.py
%{python_sitelib}/trac/web/*.pyc
%{python_sitelib}/trac/web/*.pyo
%dir %{python_sitelib}/trac/wiki/
%{python_sitelib}/trac/wiki/*.py
%{python_sitelib}/trac/wiki/*.pyc
%{python_sitelib}/trac/wiki/*.pyo
%dir %{python_sitelib}/trac/db
%{python_sitelib}/trac/db/*.py
%{python_sitelib}/trac/db/*.pyc
%{python_sitelib}/trac/db/*.pyo
%dir %{python_sitelib}/trac/util
%{python_sitelib}/trac/util/*.py
%{python_sitelib}/trac/util/*.pyc
%{python_sitelib}/trac/util/*.pyo

%config(noreplace) /etc/httpd/conf.d/trac.conf
%{_datadir}/trac/
%{_var}/www/cgi-bin/trac.cgi
%{_var}/www/cgi-bin/trac.fcgi
%{_mandir}/man1/trac-admin.1*
%{_mandir}/man8/tracd.8*

%changelog
* Thu May  3 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.4-1
- Update to 0.10.4

* Mon Mar 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.3.1-2
- Switch requires back to python-sqlite

* Sat Mar 10 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.3.1-1
- Update to 0.10.3.1 to fix security bug

* Sun Jan  7 2007 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.3-2
- change req: python-sqlite -> python-sqlite2

* Tue Jan  2 2007 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.3
- upstream release 0.10.3 (#221162)

* Sat Dec  9 2006 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.3
- rebuild for python 2.5, add python-devel to BR

* Tue Nov 28 2006 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.2
- upstream release 0.10.2 (#217539)

* Sat Nov 11 2006 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.1
- upstream release 0.10.1 (fixes CSRF vulnerability, bugzilla #215077)

* Thu Sep 28 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.10
- upstream release 0.10 'Zengia'

* Wed Aug 30 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.6-3
- remove %%ghost for .pyo files; bugzilla #205439

* Wed Aug 30 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.6-2
- rebuild for Fedora Extras 6

* Thu Jul  6 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.6-1
- upstream release 0.9.6

* Tue Apr 18 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.5-1
- bug fix release 0.9.5

* Wed Feb 15 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.4-1
- 0.9.4
 * Deletion of reports has been fixed.
 * Various encoding issues with the timeline RSS feed have been fixed.
 * Fixed a memory leak when syncing with the repository.
 * Milestones in the roadmap are now ordered more intelligently.
 * Fixed bugs: 
   1064, 1150, 2006, 2253, 2324, 2330, 2408, 2430, 2431, 2459, 2544, 
   2459, 2481, 2485, 2536, 2544, 2553, 2580, 2583, 2606, 2613, 2621, 
   2664, 2666, 2680, 2706, 2707, 2735

* Mon Feb 13 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-5
- Rebuild for Fedora Extras 5

* Mon Jan 16 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-4
- updated trac.conf to allow for trac.*cgi 

* Mon Jan 16 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-3
- re-added tracd and trac.fcgi by user request.

* Tue Jan 10 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-2
- removed trac.fcgi (bugzilla #174546, comment #11)
- applied patch (bugzilla #174546, attachment id=123008)

* Mon Jan  9 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-1
- 0.9.3
- removed tracd (bugzilla #174546, comment #6)
- added trac.conf for httpd
- removed %%{python_sitelib}/trac/test.py
- removed comments

* Tue Dec  6 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.2-2
- added /etc/init.d/tracd
- added /etc/sysconfig/tracd

* Tue Dec  6 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.2-1
- 0.9.2
- fixes SQL Injection Vulnerability in ticket search module.
- fixes broken ticket email notifications.

* Sat Dec  3 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.1-1
- 0.9.1
- fixes SQL Injection Vulnerability

* Tue Nov 29 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9-1
- Rebuild for Fedora Extras

* Tue Nov  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9-1
- 0.9.

* Mon Jun 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.4-0.1
- 0.8.4.
- Move tracd to %%{_sbindir} and man page to section 8.

* Thu Jun 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.3-0.1
- 0.8.3.

* Wed Jun  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.2-0.1
- 0.8.2.

* Sun May 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.2
- Rebuild for FC4.

* Fri Apr  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.1
- First build.
